Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.google.gwt.user.client.rpc
Annotation Type RemoteServiceRelativePath

    @Documented
    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface RemoteServiceRelativePath

Associates a `RemoteService` with a relative path. This annotation will cause the client-side proxy to automatically invoke the `ServiceDefTarget.setServiceEntryPoint(String)` method with ``GWT.getModuleBaseURL()` + `value()`` as its argument. Subsequent calls to `ServiceDefTarget.setServiceEntryPoint(String)` will override this default path.

Required Element Summary
`java.lang.String` | `value` The relative path for the `RemoteService` implementation.

Element Detail

### value

    public abstract java.lang.String value

  The relative path for the `RemoteService` implementation.

  Returns:
    relative path for the `RemoteService` implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT